Subject: Re: X, Lesstif and MS VC++ 5.0
From: [email-masked] (GNU Win32)

16 May 1998 15:28:38 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Nick Savoiu)
Cc: [email-masked]

> 
> Has anyone tried compiling a program that uses X and Lesstif on Microsoft's
> Visual C++ 5.0?
>

I once was able to build X11R6.3 OOB with MSVC 5. I am not so sure it
would a trivial exercise to rebuild lesstiff with MSVC; I suspect not.
 
> I managed to compile it but still get a few linking errors. I particular the
> linker can't find things like: __impure_ptr, __ctype_,  _opendir, _readdir
> to name a few. BTW, egcs compiles and links just fine.

The lesstif libraries in my distribution

    http://dao.gsfc.nasa.gov/software/grads/win32/X11R6.3

are static, while the X11R6.3 are dynamic (DLL). If you absolutely must
use MSVC I'd suggest that at least the xlibs be rebuilt with MSVC.

   Arlindo.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".